aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-logilab-common
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2016-11-12 17:39:39 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-12-27 10:05:31 +0200
commit417249e24b0a7dd22c4440012c5a69ebdaf3b2df (patch)
tree366f2306d003a6f92bb3c1bc819baf7e9ff7d794 /community/py-logilab-common
parent4493fd8487b343ff20f0ffe5bd680fff8ea6679f (diff)
downloadaports-417249e24b0a7dd22c4440012c5a69ebdaf3b2df.tar.gz
aports-417249e24b0a7dd22c4440012c5a69ebdaf3b2df.tar.bz2
aports-417249e24b0a7dd22c4440012c5a69ebdaf3b2df.tar.xz
testing/py-logilab-common: move to community
Diffstat (limited to 'community/py-logilab-common')
-rw-r--r--community/py-logilab-common/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/community/py-logilab-common/APKBUILD b/community/py-logilab-common/APKBUILD
new file mode 100644
index 0000000000..6d5b9da76f
--- /dev/null
+++ b/community/py-logilab-common/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-logilab-common
+_pkgname=logilab-common
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="A collection of Python packages and modules used by Logilab projects"
+url="http://www.logilab.org/project/logilab-common"
+arch="noarch"
+license="LGPL2+"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+package() {
+ mkdir -p "$pkgdir"
+}
+
+_py2() {
+ replaces="$pkgname"
+ _py python2
+}
+
+_py3() {
+ _py python3
+}
+
+_py() {
+ local python="$1"
+ pkgdesc="$pkgdesc (for $python)"
+ depends="$depends $python"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+md5sums="daa7b20c8374ff5f525882cf67e258c0 logilab-common-1.2.2.tar.gz"
+sha256sums="62b0d88d9276e86b48c7188cea8d91d8ff1744d046ea6323d40359aa53aef708 logilab-common-1.2.2.tar.gz"
+sha512sums="9c2161e8644e50cb3d4418430ca95363363e532b286d39cbdb73a51274bee02e5e8d0632b7564049243f497df96102c90ab0aeff9c91e91f7275407a6cfc56e2 logilab-common-1.2.2.tar.gz"